ランタイム: Mix::Scene::IParticleSystem Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IParticleSystem Class Referenceabstract

パーティクルシステムタインターフェース More...

`#include <IParticleSystem.h>`

Inheritance diagram for Mix::Scene::IParticleSystem:
[legend]
Collaboration diagram for Mix::Scene::IParticleSystem:
[legend]

## Classes

struct | CONFIG
| 設定構造体 More...

## Public Types

enum | BASE_FLAGS { BILLBOARD = 0x00000001, SIMULATION_WORLD_SPACE = 0x00000002 }
| ベースフラグ列挙定数 More...
enum | BEHAVIOR_FLAGS { INVISIBLE_SLEEP = 0x00000001, FAR_SKIP_FRAMES = 0x00000002 }
| 振る舞いフラグ列挙定数 More...

## Public Member Functions

virtual const Mix::Scene::IParticleSystem::CONFIG & | GetConfig (void) const =0
| 設定を取得します More...
virtual void | Internal_GetGenerator (Mix::Scene::IParticleGenerator **ppGenerator)=0
| ジェネレーターを取得します More...
virtual Boolean | Internal_CreateProcessor (Mix::Scene::IParticleProcessor **ppProcessor)=0
| プロセッサーを作成します More...
virtual Float32 | Internal_GetGenerateInterval (void) const =0
| 生成する間隔(秒単位)を取得します More...
virtual UInt32 | Internal_GetGenerateCount (void) const =0
| 生成する数を取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IParticleSystem (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

パーティクルシステムタインターフェース

## Member Enumeration Documentation

enum Mix::Scene::IParticleSystem::BASE_FLAGS

ベースフラグ列挙定数

Enumerator
BILLBOARD | 常にカメラの方向を向きます

SIMULATION_WORLD_SPACE

発生元の回転、移動の影響を受けない

Note
  このフラグはリービングパーティクルのみ有効です。

enum Mix::Scene::IParticleSystem::BEHAVIOR_FLAGS

振る舞いフラグ列挙定数

Note
  リービングパーティクルのみ有効です。

Enumerator
INVISIBLE_SLEEP | 視界に入っていない場合( Mix::Scene::IParticle::IsVisible() == False )は更新を行わない

FAR_SKIP_FRAMES

遠い場合( CONFIG::farMinDist 〜 CONFIG::farMaxDist )は指定された値( CONFIG::maxSkipFrames )だけフレームをスキップする

Note
  スキップされるフレーム数は CONFIG::farMaxDist 以上で最大になります。

## Constructor & Destructor Documentation

virtual Mix::Scene::IParticleSystem::~IParticleSystem | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const Mix::Scene::IParticleSystem::CONFIG& Mix::Scene::IParticleSystem::GetConfig | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::IParticleSystem::CONFIG 構造体を返します

virtual void Mix::Scene::IParticleSystem::Internal_GetGenerator | ( | Mix::Scene::IParticleGenerator ** | ppGenerator | ) |

pure virtual

ジェネレーターを取得します

Parameters

  [out] | ppGenerator | 取得したジェネレーターを渡す Mix::Scene::IParticleGenerator インターフェースのポインタのアドレス

Note
  このメソッドはパーティクル( Mix::Scene::IParticle )の内部から呼び出されるため、外部からの呼び出しは行わないでください。
  またジェネレーターは基本的に常駐するかたちをとってください。

virtual Boolean Mix::Scene::IParticleSystem::Internal_CreateProcessor | ( | Mix::Scene::IParticleProcessor ** | ppProcessor | ) |

pure virtual

プロセッサーを作成します

Parameters

  [out] | ppProcessor | 作成したプロセッサーを渡す Mix::Scene::IParticleProcessor インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  このメソッドはパーティクル( Mix::Scene::IParticle )の内部から呼び出されるため、外部からの呼び出しは行わないでください。
  またプロセッサーはこのメソッドが呼び出されるごとに新しく作成してください。

virtual Float32 Mix::Scene::IParticleSystem::Internal_GetGenerateInterval | ( | void |  | ) | const

pure virtual

生成する間隔(秒単位)を取得します

Returns
  生成する間隔を返します

Note
  このメソッドはパーティクル( Mix::Scene::IParticle )の内部から呼び出されるため、外部からの呼び出しは行わないでください。

virtual UInt32 Mix::Scene::IParticleSystem::Internal_GetGenerateCount | ( | void |  | ) | const

pure virtual

生成する数を取得します

Returns
  生成する数を返します

Note
  このメソッドはパーティクル( Mix::Scene::IParticle )の内部から呼び出されるため、外部からの呼び出しは行わないでください。

The documentation for this class was generated from the following file:

- Mix/Scene/IParticleSystem.h